Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatStatisticsAdministratorActionsInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatStatisticsAdministratorActionsInfo

Enclosing class:
  TdApi

public static final class TdApi.ChatStatisticsAdministratorActionsInfo extends TdApi.Object
Contains statistics about administrator actions done by a user.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`bannedUserCount`
Number of users banned by the administrator.
`static final int`
`CONSTRUCTOR`
`int`
`deletedMessageCount`
Number of messages deleted by the administrator.
`int`
`restrictedUserCount`
Number of users restricted by the administrator.
`long`
`userId`
Administrator user identifier.

## Constructor Summary

Constructors
Constructor
Description
`ChatStatisticsAdministratorActionsInfo()`
Contains statistics about administrator actions done by a user.
`ChatStatisticsAdministratorActionsInfo(long userId, int deletedMessageCount, int bannedUserCount, int restrictedUserCount)`
Contains statistics about administrator actions done by a user.
`ChatStatisticsAdministratorActionsInfo(DataInput input)`
Contains statistics about administrator actions done by a user.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### userId

public long userId
Administrator user identifier.

### deletedMessageCount

public int deletedMessageCount
Number of messages deleted by the administrator.

### bannedUserCount

public int bannedUserCount
Number of users banned by the administrator.

### restrictedUserCount

public int restrictedUserCount
Number of users restricted by the administrator.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ChatStatisticsAdministratorActionsInfo

public ChatStatisticsAdministratorActionsInfo()
Contains statistics about administrator actions done by a user.

### ChatStatisticsAdministratorActionsInfo

public ChatStatisticsAdministratorActionsInfo(long userId, int deletedMessageCount, int bannedUserCount, int restrictedUserCount)
Contains statistics about administrator actions done by a user.

Parameters:
  `userId` - long Administrator user identifier.
  `deletedMessageCount` - int Number of messages deleted by the administrator.
  `bannedUserCount` - int Number of users banned by the administrator.
  `restrictedUserCount` - int Number of users restricted by the administrator.

### ChatStatisticsAdministratorActionsInfo

public ChatStatisticsAdministratorActionsInfo(DataInput input) throws IOException
Contains statistics about administrator actions done by a user.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`